/*
  Copyright (C) 2000-2004 SKYRIX Software AG

  This file is part of OpenGroupware.org.

  OGo is free software; you can redistribute it and/or modify it under
  the terms of the GNU Lesser General Public License as published by the
  Free Software Foundation; either version 2, or (at your option) any
  later version.

  OGo is distributed in the hope that it will be useful, but WITHOUT ANY
  WARRANTY; without even the implied warranty of MERCHANTABILITY or
  FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Lesser General Public
  License for more details.

  You should have received a copy of the GNU Lesser General Public
  License along with OGo; see the file COPYING.  If not, write to the
  Free Software Foundation, 59 Temple Place - Suite 330, Boston, MA
  02111-1307, USA.
*/
// $Id: WOXMLDecoder.h,v 1.2 2004/04/23 23:24:29 helge Exp $

#ifndef __WOXML_WOXMLDecoder_H__
#define __WOXML_WOXMLDecoder_H__

#import <Foundation/NSObject.h>

@class NSString, NSData, NSFileHandle;

@interface WOXMLDecoder : NSObject

+ (id)xmlDecoderWithMapping:(NSString *)_mapURL;

/* root object */

- (id)decodeRootObjectFromData:(NSData *)_data;
- (id)decodeRootObjectFromString:(NSString *)_str;
- (id)decodeRootObjectFromFileHandle:(NSFileHandle *)_fh;

@end

#endif /* __WOXML_WOXMLDecoder_H__ */
